<?php 

defined('ABSPATH') or die('Access denied!');

if ( $_POST ) {
	
	if ( isset($_POST['NWD_MerchantID']) ) {
		update_option( 'NWD_MerchantID', $_POST['NWD_MerchantID'] );
	}
	
	if ( isset($_POST['NWD_IsOK']) ) {
		update_option( 'NWD_IsOK', $_POST['NWD_IsOK'] );
	}
  
	if ( isset($_POST['NWD_IsError']) ) {
		update_option( 'NWD_IsError', $_POST['NWD_IsError'] );
	}
	
  if ( isset($_POST['NWD_Unit']) ) {
		update_option( 'NWD_Unit', $_POST['NWD_Unit'] );
	}
  
  if ( isset($_POST['NWD_UseCustomStyle']) ) {
		update_option( 'NWD_UseCustomStyle', 'true' );
    
    if ( isset($_POST['NWD_CustomStyle']) )
    {
      update_option( 'NWD_CustomStyle', strip_tags($_POST['NWD_CustomStyle']) );
    }
    
	}
  else
  {
    update_option( 'NWD_UseCustomStyle', 'false' );
  }
  
	echo '<div class="updated" id="message"><p><strong>تنظیمات ذخیره شد</strong>.</p></div>';
	
}
//XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
?>
<h2 id="add-new-user">تنظیمات افزونه حمایت مالی - نوینو پی</h2>
<h2 id="add-new-user">جمع تمام پرداخت ها : <?php echo get_option("NWD_TotalAmount"); ?>  تومان</h2>
<form method="post">
  <table class="form-table">
    <tbody>
      <tr class="user-first-name-wrap">
        <th><label for="NWD_MerchantID">کد دروازه پرداخت</label></th>
        <td>
          <input type="text" class="regular-text" value="<?php echo get_option( 'NWD_MerchantID'); ?>" id="NWD_MerchantID" name="NWD_MerchantID">
          <p class="description indicator-hint">XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</p>
        </td>
      </tr>
      <tr>
        <th><label for="NWD_IsOK">پرداخت صحیح</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'NWD_IsOK'); ?>" id="NWD_IsOK" name="NWD_IsOK"></td>
      </tr>
      <tr>
        <th><label for="NWD_IsError">خطا در پرداخت</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'NWD_IsError'); ?>" id="NWD_IsError" name="NWD_IsError"></td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th><label for="NWD_Unit">واحد پول</label></th>
        <td>
          <?php $NWD_Unit = get_option( 'NWD_Unit'); ?>
          <select id="NWD_Unit" name="NWD_Unit">
            <option <?php if($NWD_Unit == 'تومان' ) echo 'selected="selected"' ?>>تومان</option>
            <option <?php if($NWD_Unit == 'ریال' ) echo 'selected="selected"' ?>>ریال</option>
          </select>
        </td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th>استفاده از استایل سفارشی</th>
        <td>
          <?php $NWD_UseCustomStyle = get_option('NWD_UseCustomStyle') == 'true' ? 'checked="checked"' : ''; ?>
          <input type="checkbox" name="NWD_UseCustomStyle" id="NWD_UseCustomStyle" value="true" <?php echo $NWD_UseCustomStyle ?> /><label for="NWD_UseCustomStyle">استفاده از استایل سفارشی برای فرم</label><br>
        </td>
      </tr>
      
      
      <tr class="user-display-name-wrap" id="NWD_CustomStyleBox" <?php if(get_option('NWD_UseCustomStyle') != 'true') echo 'style="display:none"'; ?>>
        <th>استایل سفارشی</th>
        <td>
          <textarea style="width: 90%;min-height: 400px;direction:ltr;" name="NWD_CustomStyle" id="NWD_CustomStyle"><?php echo get_option('NWD_CustomStyle') ?></textarea><br>
        </td>
      </tr>
      
    </tbody>
  </table>
  <p class="submit"><input type="submit" value="به روز رسانی تنظیمات" class="button button-primary" id="submit" name="submit"></p>
</form>

<script>
  if(typeof jQuery == 'function')
  {
    jQuery("#NWD_UseCustomStyle").change(function(){
      if(jQuery("#NWD_UseCustomStyle").prop('checked') == true)
        jQuery("#NWD_CustomStyleBox").show(500);
      else
        jQuery("#NWD_CustomStyleBox").hide(500);
    });
  }
</script>

